IBM Support

Troubleshooting issues with OpenPages with Watson 8.2.x and Cognos Analytics 11.1.7

Troubleshooting


Problem

When running IBM OpenPages with Watson 8.2 and later fix packs in an environment with certain interim fixes of IBM Cognos Analytics 11.1.7, you may encounter various issues during installation or when running reports.  Several of these issues have been fixed through an installer patch in IBM OpenPages with Watson interim fix version 8.2.0.4.3, and so it is recommended that you use that installer version when performing installations on an environment with IBM Cognos Analytics 11.1.7.
If you did not install using the OpenPages Installer 8.2.0.4.3 version, or if you encounter issues with Cognos even with that installer version, see below for solutions to various issues you may encounter.
After upgrading to a Cognos Analytics 11.1.7 interim fix, Cognos will not start.  I am using a Java installation different from the one that comes with Cognos.
You should use the IBM Java JRE that comes with Cognos Analytics.  To resolve the issue, perform the following steps:
  1. Update the JAVA_HOME environment variable on your reporting server(s) to match the Java JRE inside the Cognos directory.  For example, on Linux add the following to your bash profile: export JAVA_HOME=<CognosHome>/ibm-jre/jre
  2. Update the PATH environment variable on your reporting server(s) to include the bin directory of the Java JRE inside the Cognos directory.  For example, on Linux add the following to your bash profile: export PATH=<CognosHome>/ibm-jre/jre/bin:$PATH
  3. If SSL is enabled for OpenPages with Watson, import the SSL certificate for OpenPages with Watson into the Cognos Java JRE.  See Importing the CA certificate for the Java Runtime Environment of Cognos Analytics for details.
  4. If SSL is enabled for your Db2 database, import the SSL certificate for the database into the Cognos Java JRE.  See Enabling SSL for communications with Db2 and Informix databases for details.
  5. Update any references to the reporting server Java directory within the OpenPages with Watson files.  See How to Change the Java Location on an OpenPages Reporting Server for details.
  6. Restart Cognos.
When running OpenPages with Watson 8.2 or 8.2.0.1 with a Cognos Analytics 11.1.7 interim fix, I cannot log into Cognos or run reports.
In an environment with OpenPages with Watson 8.2 or 8.2.0.1 and certain Cognos Analytics 11.1.7 interim fixes, attempting to run a report or log into Cognos results in an error java.io.IOException: java.lang.SecurityException: JCE cannot authenticate the provider CAMCryptoBC.
The failed authentication is due to the fact the version of a required library in OpenPages 8.2 and 8.2.0.1 is incompatible with the Java version included in certain Cognos Analytics 11.1.7 interim fixes.  To resolve this issue, upgrade your environment to OpenPages with Watson 8.2.0.4.3 or later.
While performing a fresh install of OpenPages with Watson 8.2 on an environment with a Cognos Analytics 11.1.7 interim fix, the installation logged a warning about a failure when importing solutions reports.
When performing a fresh install of OpenPages 8.2 with solutions, a warning may be logged on Reporting Server #1 and the following error appears in the logs:
error: Setting global variables...
CM-CAM-4005 Unable to authenticate. Check your security directory server connection and confirm the credentials entered at login
CM-REQ-4159 Content Manager returned an error in the response header. The error &quot;cmAuthenticateFailed CM-CAM-4005 Unable to authenticate. Check your security directory server connection and confirm the credentials entered at login.&quot; can be found in the response SOAP header
CM-REQ-4159 Content Manager returned an error in the response header. The error &quot;cmAuthenticateFailed CM-CAM-4005 Unable to authenticate. Check your security directory server connection and confirm the credentials entered at login.&quot; can be found in the response SOAP header
No Import was added to the Content Store.
Import added to the Content Store 

error: Error when importing reports
error: Failed to import solutions reports.  Please perform this task after configuration.
The failed authentication is due to the fact the version of a required library in OpenPages 8.2 and 8.2.0.1 is incompatible with the Java version included in certain Cognos Analytics 11.1.7 interim fixes.  To resolve this issue, perform the following steps:
  1. Perform a fix pack and/or interim fix installation to upgrade your environment to OpenPages with Watson 8.2.0.4.3 or later.
  2. After installing the OpenPages fix pack, import the updated solutions reports.  See Importing the solutions report packages after installing a fix pack for details.
This issue is fixed in the OpenPages Installer 8.2.0.4.3 patch version.
After upgrading to a Cognos Analytics 11.1.7 interim fix while running OpenPages with Watson 8.2.0.2 or later fix pack, Cognos will not start.
If OpenPages with Watson 8.2.0.2 or later fix pack is installed and you upgrade Cognos Analytics to certain 11.1.7 interim fixes, Cognos may fail to start after the upgrade. When examining the contents of <CognosHome>/logs/cogconfig_response.csv, there are errors that say CAM-CRP-1064 Unable to process the PKCS #7 data because of an internal error. Reason: java.lang.ClassCastException: org.bouncycastle.asn1.DLSequence incompatible with org.bouncycastle.asn1.DERSequence.
This is caused by a conflict between a library used in OpenPages 8.2.0.2 and later fix packs and another version of that library used in Cognos.  The library provided by OpenPages is not longer required on the reporting servers.  To resolve this issue, perform the following steps:
  1. On the reporting server(s), delete the file <CognosHome>/ibm-jre/jre/lib/ext/bcprov-jdk15to18-1.68.jar.
  2. On the reporting server(s), open the file <CognosHome>/ibm-jre/jre/lib/security/java.security in a text editor.  Remove the following lines and save the file:
    #
    # Provider added by OpenPages
    #
    security.provider.11=org.bouncycastle.jce.provider.BouncyCastleProvider
  3. Restart Cognos.
While running a fix pack installation of OpenPages with Watson 8.2.0.2 or later on an environment with a Cognos Analytics 11.1.7 interim fix, the installation fails when starting Cognos.
During the fix pack installation, the install fails with an error on the reporting server(s).  The configuration log for the server shows the error error Error when starting Cognos. When examining the contents of <CognosHome>/logs/cogconfig_response.csv, there are errors that say CAM-CRP-1064 Unable to process the PKCS #7 data because of an internal error. Reason: java.lang.ClassCastException: org.bouncycastle.asn1.DLSequence incompatible with org.bouncycastle.asn1.DERSequence.
This is caused by a conflict between a library used in OpenPages 8.2.0.2 and later fix packs and another version of that library used in Cognos.  The library provided by OpenPages is not longer required on the reporting servers.  To resolve this issue, perform the following steps:
  1. On the reporting server(s), delete the file <CognosHome>/ibm-jre/jre/lib/ext/bcprov-jdk15to18-1.68.jar.
  2. On the reporting server(s), open the file <CognosHome>/ibm-jre/jre/lib/security/java.security in a text editor.  Remove the following lines and save the file:
    #
    # Provider added by OpenPages
    #
    security.provider.11=org.bouncycastle.jce.provider.BouncyCastleProvider
  3. Resume the fix pack installation.
This issue is fixed in the OpenPages Installer 8.2.0.4.3 patch version.

Document Location

Worldwide

[{"Type":"MASTER","Line of Business":{"code":"LOB10","label":"Data and AI"},"Business Unit":{"code":"BU059","label":"IBM Software w\/o TPS"},"Product":{"code":"SSFUEU","label":"IBM OpenPages with Watson"},"ARM Category":[{"code":"a8m50000000CkpmAAC","label":"Cognos and Reports"},{"code":"a8m50000000Ck26AAC","label":"Installation"}],"ARM Case Number":"","Platform":[{"code":"PF025","label":"Platform Independent"}],"Version":"8.2.0"}]

Document Information

Modified date:
04 March 2022

UID

ibm16561013